extends CanvasLayer

func _ready():
	Audio.playMenuMusic()

func _on_start_pressed() -> void:
	Audio.buttonClick.play()
	Audio.stopMenuMusic()
	Fade.fade()
	await Fade.has_faded
	get_tree().change_scene_to_file("res://story.tscn")
	queue_free()

func _on_quit_pressed() -> void:
	Audio.buttonClick.play()
	Audio.stopMenuMusic()
	Fade.fade()
	await Fade.has_faded
	get_tree().quit() 
